Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Interface ParameterConverter<D extends AbstractConnection<IConnectionProperties,?>,S extends AbstractConnection<IServiceProperties,?>>

All Known Implementing Classes:
  `AbstractParameterConverter`, `V10ParameterConverter`, `V11ParameterConverter`, `V12ParameterConverter`, `V13ParameterConverter`

public interface ParameterConverter<D extends AbstractConnection<IConnectionProperties,?>,S extends AbstractConnection<IServiceProperties,?>>
Provides conversion of parameters (e.g. from `IConnectionProperties` to a `DatabaseParameterBuffer`).

Since:
  3.0
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`DatabaseParameterBuffer`
`toDatabaseParameterBuffer(D connection)`
Builds a `DatabaseParameterBuffer` from the supplied {code IConnectionProperties}.
`ServiceParameterBuffer`
`toServiceParameterBuffer(S connection)`
Builds a `ServiceParameterBuffer` from the supplied {code IServiceProperties}.

## Method Details

### toDatabaseParameterBuffer

DatabaseParameterBuffer toDatabaseParameterBuffer(D connection) throws SQLException
Builds a `DatabaseParameterBuffer` from the supplied {code IConnectionProperties}.

Parameters:
  `connection` - Database connection
Returns:
  Database parameter buffer populated based on the connection properties
Throws:
  `SQLException` - For errors

### toServiceParameterBuffer

ServiceParameterBuffer toServiceParameterBuffer(S connection) throws SQLException
Builds a `ServiceParameterBuffer` from the supplied {code IServiceProperties}.

Parameters:
  `connection` - Service connection
Returns:
  Service parameter buffer populated based on the service properties
Throws:
  `SQLException` - For errors